package cn.com.qmth.stmms.ms.core.domain;

import cn.com.qmth.stmms.ms.core.vo.Subject;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author ting.yin
 * @Description: 操作记录
 * @date 2016年10月21日
 */
@Entity
public class MarkLog implements Serializable {

    private static final long serialVersionUID = -8376036816154911286L;

    @Id
    @GeneratedValue
    private Long id;

    private Long workId;

    private Long paperId;

    private Long markerId;

    private String markerName;

    @Enumerated(value = EnumType.ORDINAL)
    private MarkStage markStage;

    private String remark;

    private String result;

    @Enumerated(value = EnumType.STRING)
    private Subject subject;

    @Temporal(value = TemporalType.DATE)
    private Date createdOn;

    public MarkLog() {
    }

    public MarkLog(Long workId, Long paperId, Long markerId, String markerName, MarkStage markStage, String remark,
                   String result, Subject subject) {
        this.workId = workId;
        this.paperId = paperId;
        this.markerId = markerId;
        this.markerName = markerName;
        this.markStage = markStage;
        this.remark = remark;
        this.result = result;
        this.subject = subject;
        this.createdOn = new Date();
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public String getMarkerName() {
        return markerName;
    }

    public void setMarkerName(String markerName) {
        this.markerName = markerName;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public MarkStage getMarkStage() {
        return markStage;
    }

    public void setMarkStage(MarkStage markStage) {
        this.markStage = markStage;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }
}
