package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.ExamQuestion;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * Created by zhengmin on 2016/10/9.
 */
public interface ExamQuestionRepo extends JpaRepository<ExamQuestion, Long> {

    List<ExamQuestion> findByWorkIdAndSubject(Long workId, Subject subject);

    long countByWorkId(Long workId);

    long countByWorkIdAndAreaCode(Long workId, String areaCode);

    ExamQuestion findByWorkIdAndSubjectAndAreaCode(Long workId,
                                                   Subject subject, String areaCode);

    void deleteByWorkId(Long workId);

    List<ExamQuestion> findAllByAreaCodeAndSubject(String areaCode, Subject subject);
}
